> For the complete documentation index, see [llms.txt](https://docs.unizen.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unizen.io/api-get-started/utxo-assets-and-cosmos-swap/sending-transactions.md).

# Sending transactions

Sending a transaction to the inbound address.

{% hint style="warning" %}
**Important things you need to check before sending transactions:** \
1\. Never cache this response and **do not** send funds after the expiry.
{% endhint %}

Send the transaction: using our response data from /swap endpoint

* From UTXO : For example, if you are using the XDeFi wallet on the UTXO assets: \
  For more information related to sending transaction with UTXO and Cosmos, you can read from your wallet documentation. \
  For example, if you are using xDeFi wallet, you can check: <https://developers.xdefi.io/developers/extension-wallet>

```
(window as any).xfi.bitcoin?.request({
        "method": "transfer",
        "params": [
            {
                "from": "bc1qdp2c5hsk9lwldum5vm2xx65dxacwzxxyy2y4wt",
                "recipient": "bc1qkttu0a6gljrrswzyw3rwp59sunjep7zfqgyvr9",
                "asset": "BTC.BTC",
                "feeRate": 5,
                "amount": {
                    "amount": "100000000",
                    "decimals": 8
                },
                "memo": "=:ETH.ETH:0x207ca4370639120f9A049aF9CAB4fCaa608F2445::zcx-com:25"
            }
        ]
    }
)

```

* From EVM to BTC&#x20;

```
provider?.getSigner(account)?.sendTransaction({
        to: swapData.to,
        data: swapData.data,
        value: swapData.nativeValue
      });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unizen.io/api-get-started/utxo-assets-and-cosmos-swap/sending-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
